### Constructor

# Gtk Builder new_from_file

#### Declaration [src]

    GtkBuilder*
    gtk_builder_new_from_file (
      const char* filename
    )

#### Description [src]

Parses the UI definition in the file `filename`.

If there is an error opening the file or parsing the description then the program will be aborted. You should only ever attempt to parse user interface descriptions that are shipped as part of your program.

#### Parameters

`filename`

  Type: `const char*`

  Filename of user interface description file.

  The data is owned by the caller of the function.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

#### Return value

Type: `GtkBuilder`

A `GtkBuilder` containing the described interface.

The caller of the function takes ownership of the data, and is responsible for freeing it.